# List Threads (/api-reference/list-threads)

<!-- agent-signals: reading_time_min: 3 · est_tokens: 2607 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# List Threads

`GET /v0/inboxes/{inbox_id}/threads`

List Threads

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "inbox_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "inboxesInboxId",
        "type": "string",
        "description": "ID of inbox."
      }
    },
    {
      "name": "limit",
      "in": "query",
      "required": false,
      "schema": {
        "title": "Limit",
        "type": "integer",
        "description": "Limit of number of items returned."
      }
    },
    {
      "name": "page_token",
      "in": "query",
      "required": false,
      "schema": {
        "title": "PageToken",
        "type": "string",
        "description": "Page token for pagination."
      }
    },
    {
      "name": "labels",
      "in": "query",
      "required": false,
      "schema": {
        "title": "Labels",
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Labels to filter by."
      }
    },
    {
      "name": "before",
      "in": "query",
      "required": false,
      "schema": {
        "title": "Before",
        "type": "string",
        "format": "date-time",
        "description": "Timestamp before which to filter by."
      }
    },
    {
      "name": "after",
      "in": "query",
      "required": false,
      "schema": {
        "title": "After",
        "type": "string",
        "format": "date-time",
        "description": "Timestamp after which to filter by."
      }
    },
    {
      "name": "ascending",
      "in": "query",
      "required": false,
      "schema": {
        "title": "Ascending",
        "type": "boolean",
        "description": "Sort in ascending temporal order."
      }
    },
    {
      "name": "include_spam",
      "in": "query",
      "required": false,
      "schema": {
        "title": "IncludeSpam",
        "type": "boolean",
        "description": "Include spam in results."
      }
    }
  ],
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ListThreadsResponse",
            "type": "object",
            "properties": {
              "count": {
                "title": "Count",
                "type": "integer",
                "description": "Number of items returned."
              },
              "limit": {
                "title": "Limit",
                "type": "integer",
                "description": "Limit of number of items returned."
              },
              "next_page_token": {
                "title": "PageToken",
                "type": "string",
                "description": "Page token for pagination."
              },
              "threads": {
                "type": "array",
                "items": {
                  "title": "ThreadItem",
                  "type": "object",
                  "properties": {
                    "inbox_id": {
                      "title": "inboxesInboxId",
                      "type": "string",
                      "description": "ID of inbox."
                    },
                    "thread_id": {
                      "title": "ThreadId",
                      "type": "string",
                      "description": "ID of thread."
                    },
                    "labels": {
                      "title": "ThreadLabels",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Labels of thread."
                    },
                    "timestamp": {
                      "title": "ThreadTimestamp",
                      "type": "string",
                      "format": "date-time",
                      "description": "Timestamp of last sent or received message."
                    },
                    "received_timestamp": {
                      "title": "ThreadReceivedTimestamp",
                      "type": "string",
                      "format": "date-time",
                      "description": "Timestamp of last received message."
                    },
                    "sent_timestamp": {
                      "title": "ThreadSentTimestamp",
                      "type": "string",
                      "format": "date-time",
                      "description": "Timestamp of last sent message."
                    },
                    "senders": {
                      "title": "ThreadSenders",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Senders in thread. In format `username@domain.com` or `Display Name <username@domain.com>`."
                    },
                    "recipients": {
                      "title": "ThreadRecipients",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Recipients in thread. In format `username@domain.com` or `Display Name <username@domain.com>`."
                    },
                    "subject": {
                      "title": "ThreadSubject",
                      "type": "string",
                      "description": "Subject of thread."
                    },
                    "preview": {
                      "title": "ThreadPreview",
                      "type": "string",
                      "description": "Text preview of last message in thread."
                    },
                    "attachments": {
                      "title": "ThreadAttachments",
                      "type": "array",
                      "items": {
                        "title": "Attachment",
                        "type": "object",
                        "properties": {
                          "attachment_id": {
                            "title": "AttachmentId",
                            "type": "string",
                            "description": "ID of attachment."
                          },
                          "filename": {
                            "title": "AttachmentFilename",
                            "type": "string",
                            "description": "Filename of attachment."
                          },
                          "size": {
                            "title": "AttachmentSize",
                            "type": "integer",
                            "description": "Size of attachment in bytes."
                          },
                          "content_type": {
                            "title": "AttachmentContentType",
                            "type": "string",
                            "description": "Content type of attachment."
                          },
                          "content_disposition": {
                            "title": "AttachmentContentDisposition",
                            "type": "string",
                            "enum": [
                              "inline",
                              "attachment"
                            ],
                            "description": "Content disposition of attachment."
                          },
                          "content_id": {
                            "title": "AttachmentContentId",
                            "type": "string",
                            "description": "Content ID of attachment."
                          }
                        },
                        "required": [
                          "attachment_id",
                          "size"
                        ]
                      },
                      "description": "Attachments in thread."
                    },
                    "last_message_id": {
                      "title": "ThreadLastMessageId",
                      "type": "string",
                      "description": "ID of last message in thread."
                    },
                    "message_count": {
                      "title": "ThreadMessageCount",
                      "type": "integer",
                      "description": "Number of messages in thread."
                    },
                    "size": {
                      "title": "ThreadSize",
                      "type": "integer",
                      "description": "Size of thread in bytes."
                    },
                    "updated_at": {
                      "title": "ThreadUpdatedAt",
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which thread was last updated."
                    },
                    "created_at": {
                      "title": "ThreadCreatedAt",
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which thread was created."
                    }
                  },
                  "required": [
                    "inbox_id",
                    "thread_id",
                    "labels",
                    "timestamp",
                    "senders",
                    "recipients",
                    "last_message_id",
                    "message_count",
                    "size",
                    "updated_at",
                    "created_at"
                  ]
                },
                "description": "Ordered by `timestamp` descending."
              }
            },
            "required": [
              "count",
              "threads"
            ]
          }
        }
      }
    },
    "404": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            },
            "required": [
              "name",
              "message"
            ]
          }
        }
      }
    }
  }
}
```
